# constraints file

NET  "clk" LOC = "F17" | IOSTANDARD = LVCMOS33;
NET "clk" TNM_NET = clk;
TIMESPEC TS_clk = PERIOD "clk" 200 MHz HIGH 50%;

NET  "rst"		LOC = "D16" | IOSTANDARD = LVCMOS33;

NET  "input[0]"		LOC = "U6" | IOSTANDARD = LVCMOS18;
NET  "input[1]"		LOC = "U5" | IOSTANDARD = LVCMOS18;
NET  "input[2]"		LOC = "U2" | IOSTANDARD = LVCMOS18;
NET  "input[3]"		LOC = "U1" | IOSTANDARD = LVCMOS18;
NET  "input[4]"		LOC = "W6" | IOSTANDARD = LVCMOS18;
NET  "input[5]"		LOC = "W5" | IOSTANDARD = LVCMOS18;
NET  "input[6]"		LOC = "V3" | IOSTANDARD = LVCMOS18;
NET  "input[7]"		LOC = "W3" | IOSTANDARD = LVCMOS18;
NET  "input[8]"		LOC = "U7" | IOSTANDARD = LVCMOS18;
NET  "input[9]"		LOC = "V6" | IOSTANDARD = LVCMOS18;
NET  "input[10]"	LOC = "V4" | IOSTANDARD = LVCMOS18;
NET  "input[11]"	LOC = "W4" | IOSTANDARD = LVCMOS18;

NET  "output[0]"        LOC = "A10" | IOSTANDARD = LVCMOS18;
NET  "output[1]"        LOC = "B10" | IOSTANDARD = LVCMOS18;
NET  "output[2]"        LOC = "D10" | IOSTANDARD = LVCMOS18;
NET  "output[3]"        LOC = "E10" | IOSTANDARD = LVCMOS18;
NET  "output[4]"        LOC = "B9" | IOSTANDARD = LVCMOS18;
NET  "output[5]"        LOC = "C9" | IOSTANDARD = LVCMOS18;
NET  "output[6]"        LOC = "A8" | IOSTANDARD = LVCMOS18;
NET  "output[7]"        LOC = "A9" | IOSTANDARD = LVCMOS18;
NET  "output[8]"        LOC = "D8" | IOSTANDARD = LVCMOS18;
NET  "output[9]"        LOC = "D9" | IOSTANDARD = LVCMOS18;
NET  "output[10]"       LOC = "B11" | IOSTANDARD = LVCMOS18;
NET  "output[11]"       LOC = "B12" | IOSTANDARD = LVCMOS18;
NET  "output[11]"       LOC = "C12" | IOSTANDARD = LVCMOS18;
NET  "output[12]"       LOC = "C11" | IOSTANDARD = LVCMOS18;